Name:           libbatch
Version:        2.1.0
Release:        5%{?dist}
Summary:        Generic batch management library

License:        LGPLv2
URL:            git.salome-platform.org/gitweb/?p=tools/libbatch.git
# Get source as follows
# $ git clone --branch V2_1_0 git://git.salome-platform.org/tools/libbatch.git
# $ rm -rf libbatch/.git
# $ tar cjf libbatch-2.1.0.tar.bz2 libbatch
Source0:        %{name}-%{version}.tar.bz2
# Use lib64 on x86_64
Patch0:         libbatch_libdir.patch
# Set a library soversion
Patch1:         libbatch_soversion.patch

BuildRequires:  python2-devel
BuildRequires:  swig
BuildRequires:  cmake

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# %%{_datadir}/cmake ownership
Requires:       cmake
# %%{_datadir}/autoconf ownership
Requires:       filesystem

# Do not check .so files in the python_sitelib directory
# or any files in the application's directory for provides
%global __provides_exclude_from ^(%{python_sitearch}/.*\\.so|%{_datadir}/myapp/.*)$

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1 -b .sover


%build
export LDFLAGS='-Wl,--as-needed'
%cmake -DLIBBATCH_PYTHONPATH=%{python2_sitearch} .
make %{?_smp_mflags}


%install
%make_install

# Move autoconf macros to correct place
install -Dpm 0644 %{buildroot}%{_datadir}/%{name}/misc/check_libbatch.m4 %{buildroot}%{_datadir}/aclocal/check_libbatch.m4
rm -rf %{buildroot}%{_datadir}/%{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_libdir}/%{name}.so.*
%{python2_sitearch}/_%{name}.so
%{python2_sitearch}/%{name}.py*

%files devel
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/
%{_datadir}/aclocal/check_libbatch.m4
%{_libdir}/%{name}.so


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 17 2014 Richard Shaw <hobbes1069@gmail.com> - 2.1.0-3
- Filter private libaries from Provides/Requires.
- Stop excessive linking (unused-direct-shlib-dependency).
- Add library soversion.

* Sun Feb 16 2014 Sandro Mani <manisandro@gmail.com> - 2.1.0-2
- Explicitly specify python2

* Sun Feb 16 2014 Sandro Mani <manisandro@gmail.com> - 2.1.0-1
- Update to 2.1.0

* Thu Oct 03 2013 Sandro Mani <manisandro@gmail.com> - 2.0.0-1.git20131003
- Initial package
